:root {
  --navBgColor: rgba(0, 0, 0, 0);
  --opacitynavBgColor: rgba(223, 215, 194, 0);
  --navTextColor: rgb(255, 255, 255);
  --navhoverColor: #c6141e;
  --highLightColor: #c6141e;
  --hoverColor: rgba(255, 255, 255, 1);
  --darkColor: rgb(255, 255, 255);
  --titleColor: rgb(255, 255, 255);
  --mainFontColor: rgb(255, 255, 255);
  --opacityFontColor: rgba(218, 217, 215, 0.5);
  --mainBorder: 1.5px solid var(--opacityFontColor);
}

* {
  font-family: "Oswald", sans-serif;
}

article > h1 {
  font-size: 36px;
  color: var(--titleColor);
  text-align: center;
  margin-bottom: 75px;
  font-family: "Oswald", sans-serif;
}

article > h1::before {
  content: "";
  width: 50px;
  height: 3px;
  background-color: var(--titleColor);
  display: none;
  vertical-align: middle;
  margin-right: 15px;
}

article > h1::after {
  content: "";
  width: 50px;
  height: 3px;
  background-color: var(--titleColor);
  display: none;
  vertical-align: middle;
  margin-right: 15px;
}

article > h2 {
  font-size: 36px;
  color: var(--titleColor);
  text-align: center;
  margin-bottom: 75px;
  font-family: "Oswald", sans-serif;
}

article > h2::before {
  content: "";
  width: 50px;
  height: 3px;
  background-color: var(--titleColor);
  display: none;
  vertical-align: middle;
  margin-right: 15px;
}

article > h2::after {
  content: "";
  width: 50px;
  height: 3px;
  background-color: var(--titleColor);
  display: none;
  vertical-align: middle;
  margin-right: 15px;
}

article > h3::before,
article > h3::after {
  display: none;
}

.container-fluid {
  padding: 0px;
}

#logo {
  margin: 20px 20px;
}

.navbar-right {
  margin-top: 0px;
  margin-right: 0px;
}

#myNavbar {
  border-bottom: 0.2px solid rgba(255, 255, 255, 0.088);
}

.navbar-nav > li {
  border: 0.2px solid rgba(255, 255, 255, 0.088);
  border-top: 0px;
}

.navbar-nav > li > a {
  font-weight: 300;
  letter-spacing: 2px;
  padding: 50px 20px;
  font-size: 16px;
  font-family: "Oswald", sans-serif;
}

.navbar-nav > li > a:hover {
  background-color: #c6141e;
  color: white;
}

.navbar-nav > li > a:hover:after {
  width: 0%;
}

.navbar-collapse {
  padding: 0px;
}

.aboutText h2 {
  color: var(--titleColor);
  font-size: 24px;
  margin-bottom: 24px;
  line-height: 1.6;
  text-align: left;
}

.aboutText p {
  font-size: 16px;
  font-weight: 300;
  line-height: 1.6;
  letter-spacing: 1.8px;
  font-family: "Titillium Web", sans-serif;
}

.floatRightText,
.floatLeftText {
  left: 0px;
}

.first {
  margin-bottom: 40px;
}

#copyright {
  background-color: rgba(255, 255, 255, 0.144);
  color: #fff;
  font-weight: bold;
}

.footer_logo img {
  width: 60%;
  margin: auto;
}

#nav-icon span {
  background: var(--darkColor);
}

.videoArea {
  display: flex;
  flex-wrap: wrap;
}

.item2 {
  float: initial;
  width: 50%;
}

.item4 {
  padding: 0 2%;
}

.item3 {
  width: 50%;
}

.item3 img {
  box-shadow: 3px 3px 8px rgba(255, 228, 166, 0.528);
}

.hamburger {
  background-color: #000;
}

.aboutText {
  background-color: rgba(255, 255, 255, 0.185);
  box-shadow: 5px 5px 8px rgba(107, 206, 233, 0.748);
}

.aboutFlex img {
  box-shadow: 5px 5px 8px rgba(107, 206, 233, 0.748);
  border: 2px solid rgba(255, 255, 255, 0.85);
  padding: 3px;
}

.navbar {
  background-color: var(--opacitynavBgColor);
  /* box-shadow: 0px 2px 5px rgba(0,0,0,0.2); */
}

#nav-icon span {
  background: var(--darkColor);
}

/*
#home,#myCarousel{

  margin-top: 88px;
} */

/* .mainBg {
  background-color: var(--navBgColor);
  background-size: cover;
  background-attachment: fixed;
} */

body:before {
  content: "";
  display: block;
  position: fixed;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -10;
  background: url(../img/bg.jpg) no-repeat center center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  padding-bottom: 20%;
}

.mainMask {
  background-color: rgba(0, 0, 0, 0.76);
}

.roomTypeArea {
  display: flex;
  flex-wrap: wrap;
}

.roomItem img {
  height: 400px;
  object-fit: cover;
  border-radius: 5px;
  box-shadow: 3px 3px 8px rgba(166, 225, 255, 0.528);
}

.roomItem2 img {
  height: 500px;
  box-shadow: 3px 3px 8px rgba(135, 215, 255, 0.762);
}

.roomItem img:hover {
  transition: 0.5s;
  transform: scale(1.03);
}

.roomItem .newsTitle {
  border-bottom: 1px solid rgba(166, 225, 255, 0.528);
}
.newsArea{
  display: flex;
}

.roomItem .newsTitle h3 {
  font-size: 18px;
  color: rgb(255, 255, 255);
  line-height: 26px;
  padding-bottom: 5px;
}

.newsTitle h3 {
  width: calc(100% - 54px);
  display: inline-block;
  font-size: 20px;
}

.roomItem .newsText p {
  font-weight: lighter;
  text-align: left;
  line-height: 26px;
}

.roomItem {
  text-align: center;
}

.listMenuArea h3 {
  color: white;
  text-align: left;
  font-size: 24px;
  border-left: 5px solid #c6141e;
  padding-bottom: 10px;
  padding-left: 20px;
  margin-bottom: 20px;
}

.listItem {
  width: 48%;
}

.listMenuArea {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.listItem p {
  font-size: 16px;
  font-weight: 400;
  letter-spacing: 1.8px;
  line-height: 1.8;
}

.trafficText ul {
  width: 100%;
}

.trafficText ul li {
  text-align: left;
}
.trafficText ul li :last-child {
  border-bottom: 0px;
}
.trafficText li a {
  display: inline-block;
  width: 100%;
}
.link {
  margin: 5px;
  /* border: 2px solid rgb(255, 255, 255); */
  padding: 10px;
  width: 60px;
  text-align: center;
  float: left;
  border-radius: 15px;
}
.link img {
  width: 100%;
}
.trafficText ul li:nth-last-child(2) {
  border-bottom: 0px;
}
.trafficText ul li:nth-last-child(3) {
  border-bottom: 0px;
}

.footer_text li a {
  display: inline-block;
  color: rgb(37, 37, 37);
}

.trafficText li a:hover,
.footer_text li a:hover {
  color: #c6141e;
}

.section:nth-child(odd) {
  /* background-image: url(/img/bg3.jpg); */
  object-fit: contain;
  background-position: center center;
  box-shadow: 0px 3px 12px rgba(97, 233, 235, 0.748);
}

/* .newsItem img {
  border: 2px solid rgba(255, 255, 255, 0.822);
} */

.listMenuItem li {
  width: 100%;
}

.trafficText img {
  filter: brightness(2);
}

#copyright {
  padding: 10px 0px 60px 0px;
}

#sns ul li {
  filter: brightness(1);
  border-bottom: none;
}

#sns {
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: #363636;
}

#sns ul {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
}

.top {
  filter: brightness(5);
  top: -5px;
  left: 1px;
}

.footer {
  background-color: #ffffff;
  box-shadow: 0px -8px 12px rgba(166, 255, 249, 0.528);
}

.hovereffect {
  border-radius: 15px;
  border-style: double;
  border-width: 8px;
  border-color: #69f3da;
  box-shadow: 3px 3px 5px rgba(44, 44, 44, 0.301);
}

.footer_text li {
  color: rgb(59, 59, 59);
}

.hovereffect a {
  opacity: 1;
  object-fit: cover;
  padding: 0px;
  transform: none;
}

.hovereffect img {
  display: block;
  position: relative;
  -webkit-transition: all 0.35s;
  transition: all 0.35s;
}

.picItem {
  height: 330px;
  object-fit: cover;
}

.btn_a {
  margin: 20px 0;
  font-size: 18px;
}

.btn_a a:hover {
  color: #000;
}

#adjest_img {
  max-height: 550px;
  border: 1px solid #fff;
  box-shadow: 0 0 15px 0px #fff;
  overflow: hidden;
  object-fit: cover;
}
#adjest_img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* 響應式選單*/
@media (max-width: 1200px) {
  #logo {
    width: 100%;
    margin: 10px 0px;
    height: 75px;
  }

  #home,
  #myCarousel {
    margin-top: 88px;
  }

  .navbar {
    background-color: var(--navBgColor) !important;
  }

  .navbar > .container-fluid .navbar-brand {
    margin-left: 0;
  }

  .navbar-brand > img {
    margin: auto;
  }

  .collapse {
    position: absolute;
    display: block;
    top: -1200%;
    margin: 0;
    left: 100%;
    width: 100%;
    min-height: 100vh;
    background-color: var(--navBgColor);
    transition: 0.5s;
  }

  .collapse.move {
    top: 0;
    left: 0;
    opacity: 1;
  }

  .shop1688 {
    left: 15px;
  }

  /* .navbar-collapse{
    background-color: var(--navBgColor);
  } */
  .navbar-header {
    float: none;
  }

  .navbar .container-fluid {
    padding: 0;
  }

  .container-fluid > .navbar-collapse {
    margin: 0;
  }

  .navbar-right {
    margin-right: 0;
  }

  .navbar-left,
  .navbar-right {
    float: none !important;
  }

  .navbar-toggle {
    display: block;
  }

  .navbar-fixed-top {
    top: 0;
    border-width: 0 0 1px;
  }

  .navbar-nav {
    text-align: center;
    float: none !important;
    margin-top: 90px;
  }

  .navbar-nav > li > a::after {
    content: "";
    width: 0%;
    height: 3px;
    background-color: var(--navhoverColor);
    margin: auto;
    margin-top: 5px;
    display: block;
  }

  .navbar-nav > li > a:hover::after {
    width: 5%;

    transition: 0.5s;
  }

  .navbar-nav > li {
    float: none;
  }

  .navbar-nav > li > a {
    padding-top: 10px;
    padding-bottom: 10px;
  }
}

/*響應式調整*/

@media screen and (max-width: 1200px) {
}

@media screen and (max-width: 1024px) {
}

@media screen and (max-width: 991px) {
}

@media screen and (max-width: 770px) {
  .navbar-nav {
    background-color: rgba(64, 64, 64, 0.619);
  }

  .roomItem img {
    height: 300px;
  }

  .roomItem2 img {
    height: 200px;
  }

  .roomItem .newsTitle h4 {
    font-size: 19px;
  }

  .roomItem .newsText p {
    font-size: 16px;
  }

  .listMenuArea {
    flex-wrap: wrap;
  }

  .listItem {
    width: 100%;
  }

  .listItem p {
    font-size: 15px;
    letter-spacing: 1px;
    font-weight: 300;
  }

  .trafficText ul li {
    font-size: 15px;
  }

  .item3 {
    width: 100%;
  }

  .item2 {
    width: 100%;
  }
  .btn_a {
    width: 60%;
  }
}

@media screen and (max-width: 576px) {
}

@media screen and (max-width: 414px) {
}

@media screen and (max-width: 375px) {
  .navbar {
    background-color: white;
  }
}
